Package com.independentsoft.office.spreadsheet

# Class SortState

java.lang.Object
com.independentsoft.office.spreadsheet.SortState

public class SortState extends Object
The Class SortState.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SortState()`
  Instantiates a new sort state.
  `SortState​(InternalXMLStreamReader reader)`
  Instantiates a new sort state.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SortState`
  `clone()`
  `SortCondition`
  `getCondition()`
  Gets the condition.
  `SortMethod`
  `getMethod()`
  Gets the method.
  `String`
  `getSortRange()`
  Gets the sort range.
  `boolean`
  `isCaseSensitive()`
  Checks if is case sensitive.
  `boolean`
  `isColumnSort()`
  Checks if is column sort.
  `void`
  `setCaseSensitive​(boolean caseSensitive)`
  Sets the case sensitive.
  `void`
  `setColumnSort​(boolean columnSort)`
  Sets the column sort.
  `void`
  `setCondition​(SortCondition condition)`
  Sets the condition.
  `void`
  `setMethod​(SortMethod method)`
  Sets the method.
  `void`
  `setSortRange​(String sortRange)`
  Sets the sort range.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SortState

    public SortState()
    Instantiates a new sort state.

  - ### SortState

    public SortState​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new sort state.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### clone

    public SortState clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getCondition

    public SortCondition getCondition()
    Gets the condition.
    Returns:
      the condition

  - ### setCondition

    public void setCondition​(SortCondition condition)
    Sets the condition.
    Parameters:
      `condition` - the new condition

  - ### isCaseSensitive

    public boolean isCaseSensitive()
    Checks if is case sensitive.
    Returns:
      true, if is case sensitive

  - ### setCaseSensitive

    public void setCaseSensitive​(boolean caseSensitive)
    Sets the case sensitive.
    Parameters:
      `caseSensitive` - the new case sensitive

  - ### isColumnSort

    public boolean isColumnSort()
    Checks if is column sort.
    Returns:
      true, if is column sort

  - ### setColumnSort

    public void setColumnSort​(boolean columnSort)
    Sets the column sort.
    Parameters:
      `columnSort` - the new column sort

  - ### getSortRange

    public String getSortRange()
    Gets the sort range.
    Returns:
      the sort range

  - ### setSortRange

    public void setSortRange​(String sortRange)
    Sets the sort range.
    Parameters:
      `sortRange` - the new sort range

  - ### getMethod

    public SortMethod getMethod()
    Gets the method.
    Returns:
      the method

  - ### setMethod

    public void setMethod​(SortMethod method)
    Sets the method.
    Parameters:
      `method` - the new method